Package org.eclipse.draw2d.text

# Class CompositeBox

java.lang.Object
org.eclipse.draw2d.text.FlowBox
org.eclipse.draw2d.text.CompositeBox

Direct Known Subclasses:
  `BlockBox`, `LineBox`

public abstract class CompositeBox extends FlowBox
A FlowBox that can contain other FlowBoxes. The contained FlowBoxes are called fragments.

Since:
  2.1

## Constructor Summary

Constructors
Constructor
Description
`CompositeBox()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`add(FlowBox box)`
Adds the given box and updates properties of this composite box.
`int`
`getRecommendedWidth()`
Returns the recommended width for this CompositeBox.
`abstract void`
`setLineTop(int top)`
Positions the box vertically by setting the y coordinate for the top of the content of the line.
`void`
`setRecommendedWidth(int w)`
Sets the recommended width for this CompositeBox.

### Methods inherited from class org.eclipse.draw2d.text.FlowBox

`containsPoint, getAscent, getBaseline, getDescent, getWidth, getX, requiresBidi, setWidth, setX`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompositeBox

public CompositeBox()

## Method Details

### add

public abstract void add(FlowBox box)
Adds the given box and updates properties of this composite box.

Parameters:
  `box` - the child being added

### getRecommendedWidth

public int getRecommendedWidth()
Returns the recommended width for this CompositeBox.

Returns:
  the recommended width

### setRecommendedWidth

public void setRecommendedWidth(int w)
Sets the recommended width for this CompositeBox.

Parameters:
  `w` - the width

### setLineTop

public abstract void setLineTop(int top)
Positions the box vertically by setting the y coordinate for the top of the content of the line. For internal use only.

Parameters:
  `top` - the y coordinate
Since:
  3.1